<?php
/*
    ======================================================================

    AAI LOGIN WITH SHIBBOLETH HANDLING MULTIPLE ORGANIZATIONS

    ----------------------------------------------------------------------

    Institute for Medical Education; University of Bern
    License: GNU GPL 3.0
    Source: https://git-repo.iml.unibe.ch/iml-open-source/login-aai
    ----------------------------------------------------------------------
    2024-09-13    Initial version
    ======================================================================
*/


    require 'inc_functions.php';



?><!DOCTYPE html>
<html lang="" dir="">

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title><?php echo $aConfig['title'] ?? 'AAI Login'; ?></title>

    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="login_aai.css" media="screen" />

</head>

<body>


    <div id="head">
        <h1><?php echo $aConfig['title'] ?? 'AAI Login'; ?></h1>
    </div>

    <div class="content">

        <?php

            $aIdplist=getIdps();

            // --- messages
            echo $SELFURL ? '' : showMessage('error', 'SELFURL is not set. $_SERVER[\'SERVER_NAME\'] is not available.');
            echo $aConfig['text-info'] ? showMessage('info', $aConfig['text-info']) : ''; 

            // --- Text before
            echo $aConfig['text-before'] ?? '' ; 

            // --- show possible logins

            include "inc_mode_".$aConfig['mode'].".php";

            // --- finishing text
            echo $aConfig['text-after'] ?? '';
        ?>

    </div>
    <script type="text/javascript" defer src="functions.js"></script>

</body>

</html>